//本地androidwap.js开始加载
var QFPost = function(){};

var wapcurrentcallbacks = [];
//1、请求公共参数
QFPost.prototype.client_get_params4Android = function(fid, tid, authorid, threadTitle, isping, isfavor, can_del, sharelink, shareimg,sharecontent, replynum){
     QFNewPost.client_get_params4Android(fid, tid, authorid, threadTitle, isping, isfavor, can_del, sharelink, shareimg,sharecontent, replynum);
};


//2、总页数
QFPost.prototype.client_get_totalpage = function(totalpage, pingnum){
     QFNewPost.client_get_totalpage(totalpage, pingnum);
};


//3、关注当前用户
QFPost.prototype.client_follow_user = function(isfollow, followCallBack){
    if(typeof followCallBack == 'function'){
        wapcurrentcallbacks["followCallBack"] = followCallBack;
        QFNewPost.client_follow_user(isfollow,'wapcurrentcallbacks["followCallBack"]');
    }else{
        QFNewPost.client_follow_user(isfollow,followCallBack);
    }
};

//4、点赞
QFPost.prototype.client_ping_thread = function(pingCallBack){
    if(typeof pingCallBack == 'function'){
        wapcurrentcallbacks["pingCallBack"] = pingCallBack;
        QFNewPost.client_ping_thread('wapcurrentcallbacks["pingCallBack"]');
    }else{
        QFNewPost.client_ping_thread(pingCallBack);
    }
};

//5、举报当前用户的评论
QFPost.prototype.client_report_userping = function(pid, r_authorid){
     QFNewPost.client_report_userping(pid, r_authorid);
};


//6、评论用户评论
QFPost.prototype.client_comment_user = function(pid, r_authorid, r_author, r_replyname, commentCallBack){
     if(typeof commentCallBack == 'function'){
            wapcurrentcallbacks["commentCallBack"] = commentCallBack;
            QFNewPost.client_comment_user(pid, r_authorid, r_author, r_replyname,'wapcurrentcallbacks["commentCallBack"]');
        }else{
            QFNewPost.client_comment_user(pid, r_authorid, r_author, r_replyname,commentCallBack);
        }
};

//7、帖子不存在调用
QFPost.prototype.client_cancel_reply = function(){
     QFNewPost.client_cancel_reply();
};


//8、帖子详情页404页面
QFPost.prototype.jump_from_error = function(type){
     QFNewPost.jump_from_error(type);
};

//9、弹出打赏人的排行榜
QFPost.prototype.rewardTopList = function(id, name, avator){
     QFNewPost.rewardTopList(id, name, avator);
};


//10、用于iOS加载更多，Android暂时不用，不作处理
QFPost.prototype.client_enable_loadmore = function(){
     QFNewPost.client_enable_loadmore();
};

//11、帖子中打开Webview
QFPost.prototype.openUrl = function(url){
     QFNewPost.openUrl(url);
};

//12、帖子页面跳转评论
QFPost.prototype.jumpForumComment = function(){
     QFNewPost.jumpForumComment();
};

//13、更新当前页数
QFPost.prototype.updatePage = function(page){
     QFNewPost.updatePage(page);
};

//14、更新当前页数
QFPost.prototype.contentCopy = function(content){
     QFNewPost.contentCopy(content);
};

//15、修改评论查看方式
QFPost.prototype.changeReadStatus = function(isSeeMaster, supportOrder, replyOrder){
     QFNewPost.changeReadStatus(isSeeMaster, supportOrder, replyOrder);
};

//16、帖子评论管理
QFPost.prototype.manageComment = function(replyId){
     QFNewPost.manageComment(replyId);
};

//17、电梯贴的跳转  跳转到指定帖子的某一评论
QFPost.prototype.jumpThreadTargetReply = function(tid, replyId){
     QFNewPost.jumpThreadTargetReply(tid, replyId);
};

//18、对方在你的黑名单中，弹框提示
QFPost.prototype.showUnTrust = function(text){
     QFNewPost.showUnTrust(text);
};



var QFWap = new QFPost();
//本地androidwap.js结束加载